LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 10-05-2006, 11:40 AM   #1
dirgni
LQ Newbie
 
Registered: Oct 2006
Location: Toronto
Distribution: Red Hat 7.3
Posts: 2

Rep: Reputation: 0
LyX-1.4.3 compiler error on redhat-7.3


Hi There,

I'm trying to install LyX 1.4.3 on a machine running Redhat 7.3. I can't upgrade the OS since I don't have root, but I've been given permission to install sw into pkgs by the Sys Admins.

./configure using the Qt frontend worked, but when I then enter make I get:

make[5]: Entering directory `/w/11/pkgs/lyx-1.4.3/Objdir/boost/libs/filesystem/src'
if /bin/sh ../../../../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../../../../boost/libs/filesystem/src -I../../../../src -DBOOST_USER_CONFIG="<config.h>" -I../../../../../boost -I/usr/X11R6/include -fno-exceptions -ftemplate-depth-30 -Wno-non-template-friend -O2 -MT convenience.lo -MD -MP -MF ".deps/convenience.Tpo" -c -o convenience.lo ../../../../../boost/libs/filesystem/src/convenience.cpp; \then mv -f ".deps/convenience.Tpo" ".deps/convenience.Plo"; else rm -f ".deps/convenience.Tpo"; exit 1; fi
g++ -DHAVE_CONFIG_H -I. -I../../../../../boost/libs/filesystem/src -I../../../../src "-DBOOST_USER_CONFIG=<config.h>" -I../../../../../boost -I/usr/X11R6/include -fno-exceptions -ftemplate-depth-30 -Wno-non-template-friend -O2 -MT convenience.lo -MD -MP -MF .deps/convenience.Tpo -c ../../../../../boost/libs/filesystem/src/convenience.cpp -o convenience.o
if /bin/sh ../../../../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../../../../boost/libs/filesystem/src -I../../../../src -DBOOST_USER_CONFIG="<config.h>" -I../../../../../boost -I/usr/X11R6/include -fno-exceptions -ftemplate-depth-30 -Wno-non-template-friend -O2 -MT exception.lo -MD -MP -MF ".deps/exception.Tpo" -c -o exception.lo ../../../../../boost/libs/filesystem/src/exception.cpp; \
then mv -f ".deps/exception.Tpo" ".deps/exception.Plo"; else rm -f ".deps/exception.Tpo"; exit 1; fi
g++ -DHAVE_CONFIG_H -I. -I../../../../../boost/libs/filesystem/src -I../../../../src "-DBOOST_USER_CONFIG=<config.h>" -I../../../../../boost -I/usr/X11R6/include -fno-exceptions -ftemplate-depth-30 -Wno-non-template-friend -O2 -MT exception.lo -MD -MP -MF .deps/exception.Tpo -c ../../../../../boost/libs/filesystem/src/exception.cpp -o exception.o
../../../../../boost/libs/filesystem/src/exception.cpp: In method
`boost::filesystem::filesystem_error::filesystem_error (const string &, const string &)':
../../../../../boost/libs/filesystem/src/exception.cpp:220: exception handling disabled, use
-fexceptions to enable
../../../../../boost/libs/filesystem/src/exception.cpp:220: confused by earlier errors, bailing out
make[5]: *** [exception.lo] Error 1
make[5]: Leaving directory `/w/11/pkgs/lyx-1.4.3/Objdir/boost/libs/filesystem/src'
make[4]: *** [all] Error 2
make[4]: Leaving directory `/w/11/pkgs/lyx-1.4.3/Objdir/boost/libs/filesystem/src'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/w/11/pkgs/lyx-1.4.3/Objdir/boost/libs/filesystem'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/w/11/pkgs/lyx-1.4.3/Objdir/boost/libs'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/w/11/pkgs/lyx-1.4.3/Objdir/boost'
make: *** [all-recursive] Error 1

I've been using Linux for years, but I've never adminstered it, so I'm not entirely sure how to make sense out of all this. Is something missing from the path? Is something not installed on our system?

I'd appriciate any help or advice.

Thanks
 
Old 10-05-2006, 11:47 AM   #2
vharishankar
Senior Member
 
Registered: Dec 2003
Posts: 3,161
Blog Entries: 4

Rep: Reputation: 136Reputation: 136
You'll have serious trouble compiling any new software on older versions of Linux because of library mismatches and dependency issues.

Why not simply ask your admin to upgrade the OS? It's not worth the trouble using an outdated version of RedHat.

Imagine how many outdated libraries you'd have in RedHat 7.3! That's ages old.

LyX latest version probably depends on the latest QT and other libraries which you'll never find in RH 7.3.

I'd say you'll never get it to compile because it's not possible... just update the OS or get the admin to do it.

Save yourself the frustration.

Last edited by vharishankar; 10-05-2006 at 11:49 AM.
 
Old 10-05-2006, 12:23 PM   #3
dirgni
LQ Newbie
 
Registered: Oct 2006
Location: Toronto
Distribution: Red Hat 7.3
Posts: 2

Original Poster
Rep: Reputation: 0
Apparently we will be updating to Ubantu in 6 months or so. But I don't really want to wait that long.

How can I figure out exactly what dependencies are causing the problem?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
checking for C compiler default output... configure: error: C compiler cannot create fiorejm Linux - Software 6 11-12-2009 12:35 PM
in gcc compiler error: parse error before string constsnt cynthia_thomas Linux - Networking 1 10-20-2005 01:29 AM
LyX ./configure libforms/libxforms error GTBlackwell Linux - Software 2 09-04-2005 06:24 AM
LyX and LyX-CJK wushan Linux - Software 0 07-27-2005 11:15 PM
teTex with lyx permissions error? twerpier Linux - Software 0 04-03-2004 06:19 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:13 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration